Index: libkleo/CMakeLists.txt
===================================================================
--- libkleo/CMakeLists.txt	(revision 1072331)
+++ libkleo/CMakeLists.txt	(revision 1072330)
@@ -117,4 +117,60 @@
 set_target_properties(kleo PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION} )
 install(TARGETS kleo ${INSTALL_TARGETS_DEFAULT_ARGS})
 
+install( FILES
+    kleo/cryptplug.h
+    kleo/cryptplugfactory.h
+    kleo/cryptplugwrapper.h
+    kleo/cryptplugwrapperlist.h
+    kleo/kleo_export.h
+    kleo/enum.h
+    kleo/oidmap.h
+    kleo/cryptobackend.h
+    kleo/cryptobackendfactory.h
+    kleo/cryptoconfig.h
+    kleo/dn.h
+    kleo/job.h
+    kleo/keylistjob.h
+    kleo/keygenerationjob.h
+    kleo/abstractimportjob.h
+    kleo/importjob.h
+    kleo/importfromkeyserverjob.h
+    kleo/exportjob.h
+    kleo/changeexpiryjob.h
+    kleo/changeownertrustjob.h
+    kleo/downloadjob.h
+    kleo/deletejob.h
+    kleo/encryptjob.h
+    kleo/decryptjob.h
+    kleo/signjob.h
+    kleo/specialjob.h
+    kleo/verifydetachedjob.h
+    kleo/verifyopaquejob.h
+    kleo/decryptverifyjob.h
+    kleo/signencryptjob.h
+    kleo/signkeyjob.h
+    kleo/adduseridjob.h
+    kleo/refreshkeysjob.h
+    kleo/multideletejob.h
+    kleo/hierarchicalkeylistjob.h
+    kleo/keyfilter.h
+    kleo/keyfiltermanager.h
+    DESTINATION ${INCLUDE_INSTALL_DIR}/kleo COMPONENT Devel)
+
+install ( FILES
+    ui/kdhorizontalline.h
+    ui/messagebox.h
+    ui/progressbar.h
+    ui/progressdialog.h
+    ui/keylistview.h
+    ui/keyselectiondialog.h
+    ui/keyrequester.h
+    ui/keyapprovaldialog.h
+    ui/backendconfigwidget.h
+    ui/dnattributeorderconfigwidget.h
+    ui/cryptoconfigmodule.h
+    ui/cryptoconfigdialog.h
+    ui/directoryserviceswidget.h
+    DESTINATION ${INCLUDE_INSTALL_DIR}/kleo/ui COMPONENT Devel)
+
 install ( FILES libkleopatrarc.desktop DESTINATION ${CONFIG_INSTALL_DIR} RENAME libkleopatrarc )
Index: kleopatra/libkleopatraclient/gui/CMakeLists.txt
===================================================================
--- kleopatra/libkleopatraclient/gui/CMakeLists.txt	(revision 1072331)
+++ kleopatra/libkleopatraclient/gui/CMakeLists.txt	(revision 1072330)
@@ -19,4 +19,11 @@
   TARGETS kleopatraclientgui
   DESTINATION ${LIB_INSTALL_DIR}
   )
+  
 
+install(
+  FILES
+    certificaterequester.h
+  DESTINATION ${INCLUDE_INSTALL_DIR}/libkleopatraclient/gui
+  )
+
Index: kleopatra/libkleopatraclient/core/CMakeLists.txt
===================================================================
--- kleopatra/libkleopatraclient/core/CMakeLists.txt	(revision 1072331)
+++ kleopatra/libkleopatraclient/core/CMakeLists.txt	(revision 1072330)
@@ -38,3 +38,12 @@
   )
   
 
+install(
+  FILES
+    initialization.h
+    command.h
+    selectcertificatecommand.h
+    signencryptfilescommand.h
+  DESTINATION ${INCLUDE_INSTALL_DIR}/libkleopatraclient/core
+  )
+
Index: kleopatra/libkleopatraclient/CMakeLists.txt
===================================================================
--- kleopatra/libkleopatraclient/CMakeLists.txt	(revision 1072331)
+++ kleopatra/libkleopatraclient/CMakeLists.txt	(revision 1072330)
@@ -6,3 +6,7 @@
 
 add_subdirectory( tests )
 
+install(
+  FILES kleopatraclient_export.h
+  DESTINATION ${INCLUDE_INSTALL_DIR}/libkleopatraclient
+  )
Index: libkpgp/CMakeLists.txt
===================================================================
--- libkpgp/CMakeLists.txt	(revision 1072331)
+++ libkpgp/CMakeLists.txt	(revision 1072330)
@@ -34,3 +34,12 @@
 install(FILES kpgp.upd  DESTINATION ${KCONF_UPDATE_INSTALL_DIR})
 install(PROGRAMS kpgp-3.1-upgrade-address-data.pl DESTINATION ${KCONF_UPDATE_INSTALL_DIR})
 
+install(FILES
+        kpgp.h
+        kpgpbase.h
+        kpgpblock.h
+        kpgpkey.h
+        kpgpui.h
+        libkpgp_export.h
+        DESTINATION ${INCLUDE_INSTALL_DIR}/kpgp COMPONENT Devel )
+
